# Enum Class DatalinkVersion

java.lang.Object
java.lang.Enum<DatalinkVersion>
uk.ac.starlink.vo.DatalinkVersion

All Implemented Interfaces:
  `Serializable, Comparable<DatalinkVersion>, Constable`

public enum DatalinkVersion extends Enum<DatalinkVersion>
Version of the DataLink protocol.

Since:
  17 Apr 2023
Author:
  Mark Taylor
See Also:
  - DataLink

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`V10`
DataLink version 1.0.
`V11`
DataLink version 1.1.

## Method Summary

Modifier and Type
Method
Description
`String`
`getFullName()`
Returns full specification of version.
`String`
`getName()`
Returns a human-readable, possibly adorned, version name.
`String`
`getNumber()`
Returns the basic version number in the form MAJOR.MINOR.
`Ivoid`
`getStandardId()`
Returns the Standard ID
`boolean`
`is11()`
True if this version is greater than or equal to DataLink version 1.1.
`String`
`toString()`
`static DatalinkVersion`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DatalinkVersion[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### V10

public static final DatalinkVersion V10
DataLink version 1.0.

### V11

public static final DatalinkVersion V11
DataLink version 1.1.

## Method Details

### values

public static DatalinkVersion[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DatalinkVersion valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public String getNumber()
Returns the basic version number in the form MAJOR.MINOR.

Returns:
  version number

### getName

public String getName()
Returns a human-readable, possibly adorned, version name.

Returns:
  version name

### getFullName

public String getFullName()
Returns full specification of version.

Returns:
  full specification name

### getStandardId

public Ivoid getStandardId()
Returns the Standard ID

Returns:
  ivoid used as capability identifier for this version

### is11

public boolean is11()
True if this version is greater than or equal to DataLink version 1.1.

Returns:
  true for V1.1+

### toString

public String toString()

Overrides:
  `toString` in class `Enum<DatalinkVersion>`